Skip to content

Delete Video Selection

POST https://www.kkiai.com/kling/v1/videos/multi-elements/delete-selection

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

Parameter NameTypeRequiredDescriptionExample
Content-TypestringOptionalapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

Parameter NameTypeRequiredDescription
session_idstringRequiredSession ID, generated based on the video initialization task, does not change with selection editing behavior
frame_indexintegerRequiredFrame number. Supports adding up to 10 marker frames, meaning video selection can be marked based on up to 10 frames. Only 1 frame can be marked at a time
pointsarray[object]RequiredPoint selection coordinates, represented by x and y. Value range: [0,1], expressed as percentage; [0,1] represents the top-left corner of the screen. Supports adding multiple marker points simultaneously, with a maximum of 10 points per frame
  └ xintegerOptional
  └ yintegerOptional

Request Example

json
{
    "session_id": "828033558945619987",
    "frame_index": 1,
    "points": [
        {
            "x": 1.0,
            "y": 0.0
        }
    ]
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/kling/v1/videos/multi-elements/delete-selection' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "session_id": "828033558945619987",
    "frame_index": 1,
    "points": [
        {
            "x": 1.0,
            "y": 0.0
        }
    ]
}'

Response

🟢 200 Success

Response Example

json
{}